summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-27 19:05:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-27 19:05:19 +0000
commite664812cd29225e93c83f4b05fba75b72189f037 (patch)
treec62561de3f8b35f04083d0f6bbc83a00fe668c20 /dev-python
parent3a66d6fb9b029114cad69929d75a4207900ef77b (diff)
downloadbaldeagleos-repo-e664812cd29225e93c83f4b05fba75b72189f037.tar.gz
baldeagleos-repo-e664812cd29225e93c83f4b05fba75b72189f037.tar.xz
baldeagleos-repo-e664812cd29225e93c83f4b05fba75b72189f037.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/alembic/alembic-1.16.5.ebuild2
-rw-r--r--dev-python/fonttools/fonttools-4.59.2.ebuild2
-rw-r--r--dev-python/grpcio/Manifest1
-rw-r--r--dev-python/grpcio/grpcio-1.75.1.ebuild56
-rw-r--r--dev-python/joblib/joblib-1.5.2.ebuild2
-rw-r--r--dev-python/jupyter-lsp/jupyter-lsp-2.3.0.ebuild2
-rw-r--r--dev-python/loky/loky-3.5.6.ebuild2
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-7.4.7.ebuild63
-rw-r--r--dev-python/numpy/numpy-2.3.3.ebuild7
-rw-r--r--dev-python/prompt-toolkit/prompt-toolkit-3.0.52.ebuild2
-rw-r--r--dev-python/pyspelling/pyspelling-2.11.ebuild2
-rw-r--r--dev-python/qiskit/Manifest1
-rw-r--r--dev-python/qiskit/qiskit-2.2.0.ebuild7
-rw-r--r--dev-python/qiskit/qiskit-2.2.1.ebuild117
-rw-r--r--dev-python/rapidfuzz/rapidfuzz-3.14.1.ebuild2
-rw-r--r--dev-python/rpds-py/rpds-py-0.27.1.ebuild2
-rw-r--r--dev-python/scipy/scipy-1.16.2.ebuild7
-rw-r--r--dev-python/soupsieve/soupsieve-2.8.ebuild2
-rw-r--r--dev-python/stripe/stripe-12.5.1.ebuild2
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-4.8.2.ebuild11
-rw-r--r--dev-python/trimesh/trimesh-4.8.3.ebuild88
23 files changed, 371 insertions, 11 deletions
diff --git a/dev-python/alembic/alembic-1.16.5.ebuild b/dev-python/alembic/alembic-1.16.5.ebuild
index 62a2e6224a83..52f13225be3a 100644
--- a/dev-python/alembic/alembic-1.16.5.ebuild
+++ b/dev-python/alembic/alembic-1.16.5.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 arm64 ~riscv x86"
IUSE="doc"
RDEPEND="
diff --git a/dev-python/fonttools/fonttools-4.59.2.ebuild b/dev-python/fonttools/fonttools-4.59.2.ebuild
index 38f1b1e81cba..05cd99797170 100644
--- a/dev-python/fonttools/fonttools-4.59.2.ebuild
+++ b/dev-python/fonttools/fonttools-4.59.2.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
IUSE="+native-extensions"
BDEPEND="
diff --git a/dev-python/grpcio/Manifest b/dev-python/grpcio/Manifest
index e68726bd1e45..9b8ea63948a0 100644
--- a/dev-python/grpcio/Manifest
+++ b/dev-python/grpcio/Manifest
@@ -1,2 +1,3 @@
DIST grpcio-1.74.0.tar.gz 12756048 BLAKE2B 943f9b438985193e13d72cd3e270f8b0bb311e548a226803e62619fb30ce50fa9f14bdcccec8aa6cf57704bdc7ef8706509d987c3ed9806a4e26f5360492124b SHA512 2f8bf61bf28b0b53422041f43fb226a7e4af0cd3c1942b58b84284a5d542e3224c3f54b40dc5346424dd0c260e1416b857732d8ee02fbca28384a15702f07ae0
DIST grpcio-1.75.0.tar.gz 12722485 BLAKE2B 119e0f35b5476aeecf51b0b826e9932c9b36b9ef78eb7e6130d0750e0c2203137e2f5b51d0f8a293622b4d01fbbf11481c13ead8536a17e4ff49448704fd95b9 SHA512 e686d375ba1b8ffb256148459d48a4ea20d89207363fe656826774597f061e0ebed55f72e2cbba082ad05523523e2df7efff24470b28e3ad1489619e303ec3e7
+DIST grpcio-1.75.1.tar.gz 12731327 BLAKE2B 1cca575fefd42584fa1ce1d20ae875b2f894a1cc4f3c7eefbd64e51014bd8709f70d8ac8750cd06d9572a7867fb0ac514af098bb7b88c574f006957df4d7c082 SHA512 025554fc885859e0e484ec0c205ba19abe21d4fc7b6632eac7d4aa1fb7513b57235e38444a01b417c2f70549c79696b08fb4f2a673689cbca2810b21363d3fa5
diff --git a/dev-python/grpcio/grpcio-1.75.1.ebuild b/dev-python/grpcio/grpcio-1.75.1.ebuild
new file mode 100644
index 000000000000..c752c57ec39a
--- /dev/null
+++ b/dev-python/grpcio/grpcio-1.75.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2022-2025 LiGurOs Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 multiprocessing prefix pypi
+
+DESCRIPTION="High-performance RPC framework (python libraries)"
+HOMEPAGE="https://grpc.io https://pypi.org/project/grpcio/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+IUSE="libressl"
+
+RDEPEND="
+ !libressl? ( >=dev-libs/openssl-1.1.1:0=[-bindist(-)] )
+ >=dev-libs/re2-0.2021.11.01:=
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-libs/protobuf-25.0
+ dev-python/protobuf[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ net-dns/c-ares:=
+ sys-libs/zlib:=
+"
+
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+}
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ hprefixify setup.py
+}
+
+python_configure_all() {
+ if use libressl; then
+ export GRPC_BUILD_WITH_BORING_SSL_ASM=1
+ export GRPC_PYTHON_BUILD_SYSTEM_OPENSSL=0
+ else
+ export GRPC_BUILD_WITH_BORING_SSL_ASM=9
+ export GRPC_PYTHON_BUILD_SYSTEM_OPENSSL=1
+ fi
+
+ export GRPC_PYTHON_DISABLE_LIBC_COMPATIBILITY=1
+ export GRPC_PYTHON_BUILD_SYSTEM_CARES=1
+ export GRPC_PYTHON_BUILD_WITH_SYSTEM_RE2=1
+ export GRPC_PYTHON_BUILD_SYSTEM_ZLIB=1
+ export GRPC_PYTHON_BUILD_WITH_CYTHON=1
+ export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
+}
diff --git a/dev-python/joblib/joblib-1.5.2.ebuild b/dev-python/joblib/joblib-1.5.2.ebuild
index 594f10162bfc..f69ce9f18c53 100644
--- a/dev-python/joblib/joblib-1.5.2.ebuild
+++ b/dev-python/joblib/joblib-1.5.2.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/cloudpickle[${PYTHON_USEDEP}]
diff --git a/dev-python/jupyter-lsp/jupyter-lsp-2.3.0.ebuild b/dev-python/jupyter-lsp/jupyter-lsp-2.3.0.ebuild
index 92681fc77192..7c59adbf4a58 100644
--- a/dev-python/jupyter-lsp/jupyter-lsp-2.3.0.ebuild
+++ b/dev-python/jupyter-lsp/jupyter-lsp-2.3.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
RDEPEND="
dev-python/entrypoints[${PYTHON_USEDEP}]
diff --git a/dev-python/loky/loky-3.5.6.ebuild b/dev-python/loky/loky-3.5.6.ebuild
index 68575c73caac..f1000de0654b 100644
--- a/dev-python/loky/loky-3.5.6.ebuild
+++ b/dev-python/loky/loky-3.5.6.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+KEYWORDS="amd64 ~arm arm64 ~ppc ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/cloudpickle[${PYTHON_USEDEP}]
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 35f84368fee3..d22018209f95 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -2,3 +2,4 @@ DIST notebook-7.3.3.tar.gz 12758099 BLAKE2B e5e988a166b5124f95cc050a4d9402778108
DIST notebook-7.4.4.tar.gz 13883628 BLAKE2B a5673563176a14c4272b60662be6ca7c909bf18645a2e19c45cc6f5816da4f0b262365f8370219f6fc92456ed4ec01299b88d705b08630eee741955c3c274cc8 SHA512 56a58c0126c52f311dca0118abe8c40624bf0a19fa3c7c0ef210b506a69cf1fb6711b0f752766902e3eb0cb840d273307e0930a0b48047826facb806294a5aeb
DIST notebook-7.4.5.tar.gz 13888993 BLAKE2B 0b757a44e704b486360f564bbadb733723af9803e71611537fe70f2bc42c5636769b5f4656f82dbea1b711e7e1dc1479fd4dcc0e28a5dec657984e912c6d9862 SHA512 37e8c840bee87a8983601a38764f1ffb68f21fbed693363af886739baa1bfc522835c957811a066ea7c80b6b55df23d90bce079faf3e2869ba2ba57c528a9489
DIST notebook-7.4.6.tar.gz 13937087 BLAKE2B 62679c3abb2220a00575b6dcf749a157604b67d58d352186748be7fece1b8b7a798a70ed5c07f85fa5b6d3f7d144929e43e572d2fff0f365251897a413827013 SHA512 ad6cdfcab3851840ef4fb36e6fe97ba738e050a4f8f4c5c35f63310acfb4290635ef2570545d36f2a5ecb4410b599ae0fe9cd9ffff292718d39e40fb27db9254
+DIST notebook-7.4.7.tar.gz 13937702 BLAKE2B 3c63eb57e0e439de7d08b319a1770767ae0bd32a2ff6caec4bf371a948f208eb03ac63ddf44f1d7f78ee898147696082e188ae53b096cb79dcb0d65feb77c95a SHA512 038046d891e7af6d64259e7f52e10be1bb5cd8d5928f44a8039eb916e48f8d4a926a55bb6ab5f5fd803baa32972636afd4498ec41911797e7bb1396bc8ca257f
diff --git a/dev-python/notebook/notebook-7.4.7.ebuild b/dev-python/notebook/notebook-7.4.7.ebuild
new file mode 100644
index 000000000000..a9162225908b
--- /dev/null
+++ b/dev-python/notebook/notebook-7.4.7.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.4.9[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.5[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.27.1[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.4[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.5[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,timeout,tornasync} )
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/numpy/numpy-2.3.3.ebuild b/dev-python/numpy/numpy-2.3.3.ebuild
index 622ba5cae985..9931e05439d6 100644
--- a/dev-python/numpy/numpy-2.3.3.ebuild
+++ b/dev-python/numpy/numpy-2.3.3.ebuild
@@ -232,6 +232,13 @@ python_configure_all() {
}
python_test() {
+ # We run tests in parallel, so avoid having n^2 threads in lapack
+ # tests.
+ local -x BLIS_NUM_THREADS=1
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x OPENBLAS_NUM_THREADS=1
+
# don't run tests that require more than 2 GiB of RAM (per process)
local -x NPY_AVAILABLE_MEM="2 GiB"
diff --git a/dev-python/prompt-toolkit/prompt-toolkit-3.0.52.ebuild b/dev-python/prompt-toolkit/prompt-toolkit-3.0.52.ebuild
index 9c95c703a2fe..5f7a7041bda2 100644
--- a/dev-python/prompt-toolkit/prompt-toolkit-3.0.52.ebuild
+++ b/dev-python/prompt-toolkit/prompt-toolkit-3.0.52.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/wcwidth[${PYTHON_USEDEP}]
diff --git a/dev-python/pyspelling/pyspelling-2.11.ebuild b/dev-python/pyspelling/pyspelling-2.11.ebuild
index c70abcc30302..54fc58678ee8 100644
--- a/dev-python/pyspelling/pyspelling-2.11.ebuild
+++ b/dev-python/pyspelling/pyspelling-2.11.ebuild
@@ -27,7 +27,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 ~riscv x86"
RDEPEND="
|| ( app-text/aspell app-text/hunspell )
diff --git a/dev-python/qiskit/Manifest b/dev-python/qiskit/Manifest
index 5bf7060920dc..d0943e57c56c 100644
--- a/dev-python/qiskit/Manifest
+++ b/dev-python/qiskit/Manifest
@@ -1,2 +1,3 @@
DIST qiskit-2.2.0-crates.tar.xz 16407880 BLAKE2B 7445aba25d26ed3826e70549d16551588acce28847545b20b6c64f96b39f0cca9ca17ada7c7ed2aadd513e22355ab55e29e41218efe7201779bf39e9e5440e7c SHA512 f156de95eea02b7d5fc3838ba0369cfbb51f92ee13b59035c6f79c29528f3d2888ebc3f6917324587b33b656962b16513a3f17b47e8248cd9f1b88ce497d51b6
DIST qiskit-2.2.0.gh.tar.gz 7315291 BLAKE2B 7a6ca9284634cd387c4fdd32554dfc4937a89936e7119ff590564f89bbbab5a034c72a319f6d388b1d63f2c3cde972cda99250d0d65714a509b23cd3829a0dac SHA512 c2eb9e48de13afa9d973c2a3fb3a4f04f076abb6c79291c5c4939d4dcb157b2d97fb7f12e71f524a63aa5048ebf254e5f8649a70332902a2010f6e62d1ae87e9
+DIST qiskit-2.2.1.gh.tar.gz 7318815 BLAKE2B 29e7374ffd7f15987598dc6601863c74172d5d01e7db44f6bb59184065c8a61e508c78a31a7110e4918a77bba88043232306a2c5462192904990b093fc81a466 SHA512 870274a0e24e14a370dab02badd43c3431a491cc615dab535cb7c175adcea9d36f5167760f4d838ebc45f5945f98b88ca3707fa6482c3727af7aee17e1adf646
diff --git a/dev-python/qiskit/qiskit-2.2.0.ebuild b/dev-python/qiskit/qiskit-2.2.0.ebuild
index ac9f48133f79..744237732ef8 100644
--- a/dev-python/qiskit/qiskit-2.2.0.ebuild
+++ b/dev-python/qiskit/qiskit-2.2.0.ebuild
@@ -83,6 +83,13 @@ src_prepare() {
}
python_test() {
+ # We run tests in parallel, so avoid having n^2 threads in lapack
+ # tests.
+ local -x BLIS_NUM_THREADS=1
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x OPENBLAS_NUM_THREADS=1
+
local EPYTEST_DESELECT=(
# TODO
test/python/circuit/test_equivalence.py::TestEquivalenceLibraryVisualization::test_equivalence_draw
diff --git a/dev-python/qiskit/qiskit-2.2.1.ebuild b/dev-python/qiskit/qiskit-2.2.1.ebuild
new file mode 100644
index 000000000000..23eec16dc07f
--- /dev/null
+++ b/dev-python/qiskit/qiskit-2.2.1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+CRATES=""
+RUST_MIN_VER="1.84.0"
+
+inherit cargo distutils-r1
+
+MY_P=${P/_}
+CRATE_PV=2.2.0
+DESCRIPTION="An open-source SDK for working with quantum computers"
+HOMEPAGE="
+ https://github.com/Qiskit/qiskit/
+ https://pypi.org/project/qiskit/
+"
+SRC_URI="
+ https://github.com/Qiskit/qiskit/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+ https://github.com/gentoo-crate-dist/qiskit/releases/download/${CRATE_PV/_}/${PN}-${CRATE_PV}-crates.tar.xz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 MIT MPL-2.0
+ Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+visualization"
+
+RDEPEND="
+ >=dev-python/dill-0.3[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17[${PYTHON_USEDEP}]
+ >=dev-python/python-constraint-1.4[${PYTHON_USEDEP}]
+ >=dev-python/rustworkx-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.5[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
+ visualization? (
+ >=dev-python/matplotlib-3.3[${PYTHON_USEDEP}]
+ dev-python/pydot[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/pylatexenc-1.4[${PYTHON_USEDEP}]
+ >=dev-python/seaborn-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/symengine-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.3[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/cython-0.27.1[${PYTHON_USEDEP}]
+ test? (
+ app-text/poppler[png]
+ >=dev-python/ddt-1.4.4[${PYTHON_USEDEP}]
+ >=dev-python/networkx-2.2[${PYTHON_USEDEP}]
+ >=dev-python/qiskit-aer-0.14[${PYTHON_USEDEP}]
+ >=dev-python/scikit-learn-0.20.0[${PYTHON_USEDEP}]
+ )
+"
+
+# Files built without CFLAGS/LDFLAGS, acceptable for rust
+QA_FLAGS_IGNORED="
+ usr/lib.*/py.*/site-packages/qiskit/_accelerate.*.so
+ usr/lib.*/py.*/site-packages/qiskit/_qasm2.*.so
+"
+
+EPYTEST_PLUGINS=( hypothesis )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # strip forcing -Werror from tests that also leaks to other packages
+ sed -i -e '/filterwarnings.*error/d' test/utils/base.py || die
+}
+
+python_test() {
+ # We run tests in parallel, so avoid having n^2 threads in lapack
+ # tests.
+ local -x BLIS_NUM_THREADS=1
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x OPENBLAS_NUM_THREADS=1
+
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/python/circuit/test_equivalence.py::TestEquivalenceLibraryVisualization::test_equivalence_draw
+ test/python/transpiler/test_unitary_synthesis_plugin.py::TestUnitarySynthesisPlugin
+ test/python/visualization/test_dag_drawer.py::TestDagDrawer::test_dag_drawer_no_register
+ # tiny image differences, sigh
+ test/python/visualization/test_gate_map.py::TestGateMap::test_plot_error_map_over_100_qubit
+ # TODO: failures from dill
+ test/python/circuit/test_parameters.py::TestParameters::test_transpiling_multiple_parameterized_circuits
+ test/python/compiler/test_transpiler.py::TestTranspile::test_delay_converts_expr_to_dt
+ test/python/compiler/test_transpiler.py::TestTranspile::test_transpile_two
+ test/python/transpiler/test_naming_transpiled_circuits.py::TestNamingTranspiledCircuits::test_multiple_circuits_name_list
+ )
+
+ local EPYTEST_IGNORE=(
+ # Breaks xdist
+ test/python/qasm2/test_parse_errors.py
+ test/python/transpiler/test_preset_passmanagers.py
+ )
+
+ rm -rf qiskit || die
+ # Run the Python test suite rather than everything under test/ which
+ # includes the 'randomized' suite. Upstream run that in a separate CI job.
+ epytest test/python
+}
diff --git a/dev-python/rapidfuzz/rapidfuzz-3.14.1.ebuild b/dev-python/rapidfuzz/rapidfuzz-3.14.1.ebuild
index bcb15f4b53d3..caef5e4cfd91 100644
--- a/dev-python/rapidfuzz/rapidfuzz-3.14.1.ebuild
+++ b/dev-python/rapidfuzz/rapidfuzz-3.14.1.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
# all these are header-only libraries
DEPEND="
diff --git a/dev-python/rpds-py/rpds-py-0.27.1.ebuild b/dev-python/rpds-py/rpds-py-0.27.1.ebuild
index a46f3d298c43..3eefc2dce0b0 100644
--- a/dev-python/rpds-py/rpds-py-0.27.1.ebuild
+++ b/dev-python/rpds-py/rpds-py-0.27.1.ebuild
@@ -51,7 +51,7 @@ LICENSE="MIT"
# Dependent crate licenses
LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT MPL-2.0 Unicode-3.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/rpds/rpds.*.so"
diff --git a/dev-python/scipy/scipy-1.16.2.ebuild b/dev-python/scipy/scipy-1.16.2.ebuild
index 34cce49ae48d..4de90ca80b39 100644
--- a/dev-python/scipy/scipy-1.16.2.ebuild
+++ b/dev-python/scipy/scipy-1.16.2.ebuild
@@ -117,6 +117,13 @@ python_configure_all() {
}
python_test() {
+ # We run tests in parallel, so avoid having n^2 threads in lapack
+ # tests.
+ local -x BLIS_NUM_THREADS=1
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x OPENBLAS_NUM_THREADS=1
+
cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
local EPYTEST_DESELECT=(
diff --git a/dev-python/soupsieve/soupsieve-2.8.ebuild b/dev-python/soupsieve/soupsieve-2.8.ebuild
index d3219fd3278e..2bccf6c38d9e 100644
--- a/dev-python/soupsieve/soupsieve-2.8.ebuild
+++ b/dev-python/soupsieve/soupsieve-2.8.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/stripe/stripe-12.5.1.ebuild b/dev-python/stripe/stripe-12.5.1.ebuild
index 13e57e4adcf1..90dc7b46642b 100644
--- a/dev-python/stripe/stripe-12.5.1.ebuild
+++ b/dev-python/stripe/stripe-12.5.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
IUSE="telemetry"
RDEPEND="
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index b9a2d4840492..2bd391bb2e51 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -1,3 +1,4 @@
DIST trimesh-4.7.4.gh.tar.gz 13640438 BLAKE2B 657d69e3ce886167c9c8b4e2080b961dda41c7420da7f5e4dfeb8bfba5aa3cd1a83c9e44eebdf8c27770fad3bc712874becf37f98307973ec2f1707f32106699 SHA512 4b51e642eb4dbfe6898082dbd9017b9da70093036cb826d909e55295d65e43a4933c8a94d8a1f653a713e235b7bc48bb30f30f4df7a36ae115302c031ee0f03e
DIST trimesh-4.8.1.gh.tar.gz 13660870 BLAKE2B 788ba3bdd7847d95431c415f2fd32c9efbd76258be91ad3043a314d2064d5b0c31c6b613e847dea8fb099d23995d4770f9c1303af0c1474d0b3a047a4b6b684f SHA512 4505b804b9ae2a0a676f8cceb081a6dfbdb2ade75dcbe66e15d8aaeca69988be129145c424052e2898459def6ed740b8e6c17a40f86961c8c3db6f0378fca07a
DIST trimesh-4.8.2.gh.tar.gz 13663008 BLAKE2B 261e46287dc6a842a0482f8afe32f938310c2e53cc92fa8cc7d91c84a1ed3faed0131e18e325ef0c0793c394259025582ae643621333a4718468dad1aa12b934 SHA512 d74f2c67175f1284cc33e18afccb21612349b37f36908017800aa9280311ab8174abbd514b535af88803f237347b86c3feffbb3010fc9032b7ce1c279de1c1a3
+DIST trimesh-4.8.3.gh.tar.gz 13668526 BLAKE2B c21a0c2865aacff80d0284f4f89d7c5268a3287e70e3bc0095149642488ef8a0530ae0327a74b69fc3280abf5a4b5a60002c9af0e363c2301c77a48ac95bed9e SHA512 ab1ad69cc387814e545ad40a3baa53888825d7b73e1312e3d4a20e0d52cdff291cbac430bb0e7fa44054992a414ab386027240947013b64434b0dfaa9283fcd5
diff --git a/dev-python/trimesh/trimesh-4.8.2.ebuild b/dev-python/trimesh/trimesh-4.8.2.ebuild
index 7ffba0c82ba1..b2e84f65688f 100644
--- a/dev-python/trimesh/trimesh-4.8.2.ebuild
+++ b/dev-python/trimesh/trimesh-4.8.2.ebuild
@@ -67,6 +67,17 @@ EPYTEST_XDIST=1
distutils_enable_tests pytest
+python_test() {
+ # We run tests in parallel, so avoid having n^2 threads in lapack
+ # tests.
+ local -x BLIS_NUM_THREADS=1
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x OPENBLAS_NUM_THREADS=1
+
+ epytest
+}
+
pkg_postinst() {
optfeature_header "${PN} functionality can be extended by installing the following packages:"
optfeature "making GUI applications with 3D stuff" dev-python/glooey
diff --git a/dev-python/trimesh/trimesh-4.8.3.ebuild b/dev-python/trimesh/trimesh-4.8.3.ebuild
new file mode 100644
index 000000000000..b2e84f65688f
--- /dev/null
+++ b/dev-python/trimesh/trimesh-4.8.3.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimesh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ dev-python/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mapbox-earcut[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # requires manifold3d
+ tests/test_boolean.py::test_multiple_difference
+ # timing nonsense
+ tests/test_bounds.py::BoundsTest::test_obb_mesh_large
+)
+EPYTEST_IGNORE=(
+ # require pyinstrument
+ tests/test_sweep.py
+)
+
+EPYTEST_PLUGINS=()
+: ${EPYTEST_TIMEOUT:=300}
+EPYTEST_RERUNS=3
+EPYTEST_XDIST=1
+
+distutils_enable_tests pytest
+
+python_test() {
+ # We run tests in parallel, so avoid having n^2 threads in lapack
+ # tests.
+ local -x BLIS_NUM_THREADS=1
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x OPENBLAS_NUM_THREADS=1
+
+ epytest
+}
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox-earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" dev-python/scikit-image
+}